Skip to content

DBaaS Management

Operational management for DBaaS services: logs, metrics, service types and lifecycle.

Read more

create-dbaas-clickhouse-user

[BETA] Create a DBaaS ClickHouse user

POST /dbaas-clickhouse/{service-name}/user

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
usernamestringyesUsername

Min length: 1. Max length: 64.
passwordstringnoPassword

Min length: 8. Max length: 256.
rolesarray of DBaaS Clickhouse User Role InputnoClickHouse roles to grant to the user
Example
{
  "password": "string",
  "roles": [
    {
      "uuid": "string"
    }
  ],
  "username": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
passwordstringClickHouse password
usernamestringClickHouse username
Example output
{
  "password": "string",
  "username": "string"
}

SDK reference for create-dbaas-clickhouse-user: golang | Python | Java

CLI: exo api create-dbaas-clickhouse-user

delete-dbaas-clickhouse-user

[BETA] Delete a DBaaS ClickHouse user

DELETE /dbaas-clickhouse/{service-name}/user/{user-uuid}

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
user-uuidpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-clickhouse-user: golang | Python | Java

CLI: exo api delete-dbaas-clickhouse-user

reveal-dbaas-clickhouse-user-password

[BETA] Reveal the secrets of a DBaaS ClickHouse user

GET /dbaas-clickhouse/{service-name}/user/{username}/password/reveal

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
usernamepathMin length: 1. Max length: 64.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
passwordstringClickHouse password
usernamestringClickHouse username
Example output
{
  "password": "string",
  "username": "string"
}

SDK reference for reveal-dbaas-clickhouse-user-password: golang | Python | Java

CLI: exo api reveal-dbaas-clickhouse-user-password

reset-dbaas-clickhouse-user-password

[BETA] Reset the credentials of a DBaaS ClickHouse user

PUT /dbaas-clickhouse/{service-name}/user/{username}/password/reset

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
usernamepathMin length: 1. Max length: 64.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
passwordstringnoNew password

Min length: 8. Max length: 256.
Example
{
  "password": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
passwordstringClickHouse password
usernamestringClickHouse username
Example output
{
  "password": "string",
  "username": "string"
}

SDK reference for reset-dbaas-clickhouse-user-password: golang | Python | Java

CLI: exo api reset-dbaas-clickhouse-user-password

create-dbaas-integration

POST /dbaas-integration

[BETA] Create a new DBaaS integration between two services

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
dest-servicestringyesA destination service

Min length: 0. Max length: 63.
integration-typestringyesIntegration type

Allowed values: datasource, logs, metrics.
source-servicestringyesA source service

Min length: 0. Max length: 63.
settingsobjectnoIntegration settings
Example
{
  "dest-service": "string",
  "integration-type": "datasource",
  "settings": {},
  "source-service": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-integration: golang | Python | Java

CLI: exo api create-dbaas-integration

get-dbaas-integration

GET /dbaas-integration/{id}

[BETA] Get a DBaaS Integration

Path parameters

NameInDescription
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
descriptionstringDescription of the integration
deststringDestination service name
idstringIntegration id

Must be a valid UUID.
is-activebooleanWhether the integration is active or not
is-enabledbooleanWhether the integration is enabled or not
settingsobjectIntegration settings
sourcestringSource service name
statusstringIntegration status
typestringIntegration type
Example output
{
  "description": "string",
  "dest": "string",
  "id": "string",
  "is-active": true,
  "is-enabled": true,
  "settings": {},
  "source": "string",
  "status": "string",
  "type": "string"
}

SDK reference for get-dbaas-integration: golang | Python | Java

CLI: exo api get-dbaas-integration

update-dbaas-integration

PUT /dbaas-integration/{id}

[BETA] Update a existing DBaaS integration

Path parameters

NameInDescription
idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
settingsobjectyesIntegration settings
Example
{
  "settings": {}
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for update-dbaas-integration: golang | Python | Java

CLI: exo api update-dbaas-integration

delete-dbaas-integration

DELETE /dbaas-integration/{id}

[BETA] Delete a DBaaS Integration

Path parameters

NameInDescription
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-integration: golang | Python | Java

CLI: exo api delete-dbaas-integration

create-dbaas-service-clickhouse

[BETA] Create a DBaaS ClickHouse service

POST /dbaas-clickhouse/{name}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
planstringyesSubscription plan

Min length: 1. Max length: 128.
clickhouse-settingsClickHouse settingsnoClickHouse-specific settings
fork-from-servicestringnoService to fork from

Min length: 0. Max length: 63.
ip-filterarray[string]noAllow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’
maintenanceMaintenancenoAutomatic maintenance settings
recovery-backup-namestringnoName of a backup to recover from for services that support backup names

Min length: 1.
termination-protectionbooleannoService is protected against termination and powering off
versionstringnoClickHouse major version

Min length: 1.
Example
{
  "clickhouse-settings": {
    "server_settings": {
      "vector_similarity_index_cache_size": 0
    }
  },
  "fork-from-service": "string",
  "ip-filter": [
    "string"
  ],
  "maintenance": {
    "dow": "saturday",
    "time": "string"
  },
  "plan": "string",
  "recovery-backup-name": "string",
  "termination-protection": true,
  "version": "string"
}

Maintenance

Automatic maintenance settings

PropertyTypeRequiredDescription
dowstringyesDay of week for installing updates

Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday.
timestringyesTime for installing updates, UTC

Min length: 8. Max length: 8.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-service-clickhouse: golang | Python | Java

CLI: exo api create-dbaas-service-clickhouse

get-dbaas-service-clickhouse

[BETA] Get a DBaaS ClickHouse service

GET /dbaas-clickhouse/{name}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
backupsarray of List of backups for the serviceList of backups for the service
clickhouse-settingsClickHouse settingsClickHouse-specific settings
componentsarray of ComponentsService component information objects
connection-infoConnection InfoClickHouse connection information properties
created-atstringService creation timestamp (ISO 8601)

ISO 8601 date-time.
disk-sizeintegerTODO UNIT disk space for data storage

Min: 0.
integrationsarray of DBaaS IntegrationService integrations
ip-filterarray[string]Allowed CIDR address blocks for incoming connections
maintenanceAutomatic maintenance settingsAutomatic maintenance settings
namestringService name

Min length: 0. Max length: 63.
node-countintegerNumber of service nodes in the active plan

Min: 0.
node-cpu-countintegerNumber of CPUs for each node

Min: 0.
node-memoryintegerTODO UNIT of memory for each node

Min: 0.
node-statesarray of Automatic maintenance settingsState of individual service nodes
notificationsarray of Service notificationsService notifications
planstringSubscription plan
prometheus-uriPrometheus URIPrometheus integration URI
statestringState of the service

Allowed values: running, rebuilding, rebalancing, poweroff.
termination-protectionbooleanService is protected against termination and powering off
typestringService type code

Min length: 0. Max length: 64.
updated-atstringService last update timestamp (ISO 8601)

ISO 8601 date-time.
uristringURI for connecting to the service (may be absent)
uri-paramsobjectservice_uri parameterized into key-value pairs
usersarray of DBaaS Clickhouse UserList of ClickHouse users
versionstringClickHouse version
zonestringThe zone where the service is running
Example output
{
  "backups": [
    {
      "backup-name": "string",
      "backup-time": "2024-01-01T12:00:00Z",
      "data-size": 0
    }
  ],
  "clickhouse-settings": {
    "server_settings": {
      "vector_similarity_index_cache_size": 0
    }
  },
  "components": [
    {
      "component": "string",
      "host": "string",
      "port": 0,
      "route": "dynamic",
      "ssl": true,
      "usage": "primary"
    }
  ],
  "connection-info": {
    "arrowflight-uri": "string",
    "mysql-uri": "string",
    "uri": [
      "string"
    ]
  },
  "created-at": "2024-01-01T12:00:00Z",
  "disk-size": 0,
  "integrations": [
    {
      "description": "string",
      "dest": "string",
      "id": "string",
      "is-active": true,
      "is-enabled": true,
      "settings": {},
      "source": "string",
      "status": "string",
      "type": "string"
    }
  ],
  "ip-filter": [
    "string"
  ],
  "maintenance": {
    "dow": "saturday",
    "time": "string",
    "updates": [
      {
        "deadline": "2024-01-01T12:00:00Z",
        "description": "string",
        "start-after": "2024-01-01T12:00:00Z",
        "start-at": "2024-01-01T12:00:00Z"
      }
    ]
  },
  "name": "string",
  "node-count": 0,
  "node-cpu-count": 0,
  "node-memory": 0,
  "node-states": [
    {
      "name": "string",
      "progress-updates": [
        {
          "completed": true,
          "current": 0,
          "max": 0,
          "min": 0,
          "phase": "stream",
          "unit": "string"
        }
      ],
      "role": "standby",
      "state": "leaving"
    }
  ],
  "notifications": [
    {
      "level": "warning",
      "message": "string",
      "metadata": {},
      "type": "service_powered_off_removal"
    }
  ],
  "plan": "string",
  "prometheus-uri": {
    "host": "string",
    "port": 0
  },
  "state": "running",
  "termination-protection": true,
  "type": "string",
  "updated-at": "2024-01-01T12:00:00Z",
  "uri": "string",
  "uri-params": {},
  "users": [
    {
      "required": true,
      "username": "string",
      "uuid": "string"
    }
  ],
  "version": "string",
  "zone": "string"
}

SDK reference for get-dbaas-service-clickhouse: golang | Python | Java

CLI: exo api get-dbaas-service-clickhouse

update-dbaas-service-clickhouse

[BETA] Update a DBaaS ClickHouse service

PUT /dbaas-clickhouse/{name}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
clickhouse-settingsClickHouse settingsnoClickHouse-specific settings
ip-filterarray[string]noAllow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’
maintenanceMaintenancenoAutomatic maintenance settings
planstringnoSubscription plan

Min length: 1. Max length: 128.
termination-protectionbooleannoService is protected against termination and powering off
versionstringnoClickHouse major version

Min length: 1.
Example
{
  "clickhouse-settings": {
    "server_settings": {
      "vector_similarity_index_cache_size": 0
    }
  },
  "ip-filter": [
    "string"
  ],
  "maintenance": {
    "dow": "saturday",
    "time": "string"
  },
  "plan": "string",
  "termination-protection": true,
  "version": "string"
}

Maintenance

Automatic maintenance settings

PropertyTypeRequiredDescription
dowstringyesDay of week for installing updates

Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday.
timestringyesTime for installing updates, UTC

Min length: 8. Max length: 8.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for update-dbaas-service-clickhouse: golang | Python | Java

CLI: exo api update-dbaas-service-clickhouse

delete-dbaas-service-clickhouse

[BETA] Delete a ClickHouse service

DELETE /dbaas-clickhouse/{name}

null

Path parameters

NameInDescription
namepath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-service-clickhouse: golang | Python | Java

CLI: exo api delete-dbaas-service-clickhouse


Other Operations

get-dbaas-ca-certificate

Get DBaaS CA Certificate

GET /dbaas-ca-certificate

Returns a CA Certificate required to reach a DBaaS service through a TLS-protected connection.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
certificatestring
Example output
{
  "certificate": "string"
}

SDK reference for get-dbaas-ca-certificate: golang | Python | Java

CLI: exo api get-dbaas-ca-certificate

get-dbaas-clickhouse-acl-config

[BETA] Get DBaaS ClickHouse ACL configuration

GET /dbaas-clickhouse/{service-name}/acl-config

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
usersarray of DBaaS Clickhouse User Acl Config
Example output
{
  "users": [
    {
      "privileges": [
        {
          "access-type": "string",
          "column": "string",
          "database": "string",
          "grant-option": true,
          "partial-revoke": true,
          "table": "string"
        }
      ],
      "roles": [
        {
          "default": true,
          "name": "string",
          "uuid": "string",
          "with-admin-option": true
        }
      ],
      "username": "string",
      "uuid": "string"
    }
  ]
}

SDK reference for get-dbaas-clickhouse-acl-config: golang | Python | Java

CLI: exo api get-dbaas-clickhouse-acl-config

start-dbaas-clickhouse-maintenance

[BETA] Initiate ClickHouse maintenance update

PUT /dbaas-clickhouse/{name}/maintenance/start

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for start-dbaas-clickhouse-maintenance: golang | Python | Java

CLI: exo api start-dbaas-clickhouse-maintenance

list-dbaas-clickhouse-users

[BETA] List DBaaS ClickHouse users

GET /dbaas-clickhouse/{service-name}/user

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
usersarray of DBaaS Clickhouse User
Example output
{
  "users": [
    {
      "required": true,
      "username": "string",
      "uuid": "string"
    }
  ]
}

SDK reference for list-dbaas-clickhouse-users: golang | Python | Java

CLI: exo api list-dbaas-clickhouse-users

get-dbaas-external-integration

GET /dbaas-external-integration/{integration-id}

[BETA] Get a DBaaS external integration

Path parameters

NameInDescription
integration-idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
descriptionstringDescription of the integration
dest-endpoint-idstringExternal destination endpoint id
dest-endpoint-namestringExternal destination endpoint name
integration-idstringEndpoint integration UUID

Must be a valid UUID.
source-service-namestringDBaaS source service name
source-service-typestringDBaaS service type

Min length: 0. Max length: 64.
statusstringIntegration status
typestringIntegration Type

Allowed values: prometheus, opensearch, rsyslog, datadog, elasticsearch.
Example output
{
  "description": "string",
  "dest-endpoint-id": "string",
  "dest-endpoint-name": "string",
  "integration-id": "string",
  "source-service-name": "string",
  "source-service-type": "string",
  "status": "string",
  "type": "prometheus"
}

SDK reference for get-dbaas-external-integration: golang | Python | Java

CLI: exo api get-dbaas-external-integration

list-dbaas-external-integrations

GET /dbaas-external-integrations/{service-name}

[BETA] List all DBaaS connections between services and external endpoints

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
external-integrationsarray of Integrations with other services
Example output
{
  "external-integrations": [
    {
      "description": "string",
      "dest-endpoint-id": "string",
      "dest-endpoint-name": "string",
      "integration-id": "string",
      "source-service-name": "string",
      "source-service-type": "string",
      "status": "string",
      "type": "prometheus"
    }
  ]
}

SDK reference for list-dbaas-external-integrations: golang | Python | Java

CLI: exo api list-dbaas-external-integrations

list-dbaas-integration-settings

GET /dbaas-integration-settings/{integration-type}/{source-type}/{dest-type}

[BETA] Get DBaaS integration settings

Path parameters

NameInDescription
integration-typepath
source-typepath
dest-typepath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
settingsSettingsThe JSON schema representing the settings for the given integration type, source, and destination service types.
Example output
{
  "settings": {
    "additionalProperties": true,
    "properties": {},
    "title": "string",
    "type": "string"
  }
}

Settings

The JSON schema representing the settings for the given integration type, source, and destination service types.

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

SDK reference for list-dbaas-integration-settings: golang | Python | Java

CLI: exo api list-dbaas-integration-settings

list-dbaas-integration-types

GET /dbaas-integration-types

[BETA] Get DBaaS integration types

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
dbaas-integration-typesarray of DBaaS Integration Type
Example output
{
  "dbaas-integration-types": [
    {
      "dest-description": "string",
      "dest-service-types": [
        "string"
      ],
      "settings": {
        "additionalProperties": true,
        "properties": {},
        "title": "string",
        "type": "string"
      },
      "source-description": "string",
      "source-service-types": [
        "string"
      ],
      "type": "string"
    }
  ]
}

SDK reference for list-dbaas-integration-types: golang | Python | Java

CLI: exo api list-dbaas-integration-types

get-dbaas-migration-status

Get a DBaaS migration status

GET /dbaas-migration-status/{name}

Get a DBaaS migration status

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
detailsarray of DetailsMigration status per database
errorstringError message in case that migration has failed
methodstringMigration method. Empty in case of multiple methods or error
statusstringMigration status
Example output
{
  "details": [
    {
      "dbname": "string",
      "error": "string",
      "method": "string",
      "status": "running"
    }
  ],
  "error": "string",
  "method": "string",
  "status": "string"
}

SDK reference for get-dbaas-migration-status: golang | Python | Java

CLI: exo api get-dbaas-migration-status

delete-dbaas-service

Delete a DBaaS service

DELETE /dbaas-service/{name}

Delete a DBaaS service

Path parameters

NameInDescription
namepath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-service: golang | Python | Java

CLI: exo api delete-dbaas-service

detach-dbaas-service-from-endpoint

PUT /dbaas-external-endpoint/{source-service-name}/detach

[BETA] Detach a DBaaS external integration from a service

Path parameters

NameInDescription
source-service-namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
integration-idstringyesExternal Integration ID

Must be a valid UUID.
Example
{
  "integration-id": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for detach-dbaas-service-from-endpoint: golang | Python | Java

CLI: exo api detach-dbaas-service-from-endpoint

get-dbaas-service-logs

Get logs of DBaaS service

POST /dbaas-service-logs/{service-name}

Get logs of DBaaS service

Path parameters

NameInDescription
service-namepath

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
limitintegernoHow many log entries to receive at most, up to 500 (default: 100)

Min: 1. Max: 500.
offsetstringnoOpaque offset identifier
sort-orderstringnoSort order for log messages (default: desc)

Allowed values: desc, asc.
Example
{
  "limit": 0,
  "offset": "string",
  "sort-order": "desc"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
first-log-offsetstring
logsarray of Logs
offsetstring
Example output
{
  "first-log-offset": "string",
  "logs": [
    {
      "message": "string",
      "node": "string",
      "time": "string",
      "unit": "string"
    }
  ],
  "offset": "string"
}

SDK reference for get-dbaas-service-logs: golang | Python | Java

CLI: exo api get-dbaas-service-logs

get-dbaas-service-metrics

Get metrics of DBaaS service

POST /dbaas-service-metrics/{service-name}

Get metrics of DBaaS service

Path parameters

NameInDescription
service-namepath

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
periodstringnoMetrics time period (default: hour)

Allowed values: hour, week, year, month, day.
Example
{
  "period": "hour"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
metricsobject
Example output
{
  "metrics": {}
}

SDK reference for get-dbaas-service-metrics: golang | Python | Java

CLI: exo api get-dbaas-service-metrics

attach-dbaas-service-to-endpoint

PUT /dbaas-external-endpoint/{source-service-name}/attach

[BETA] Create a new DBaaS connection between a DBaaS service and an external service

Path parameters

NameInDescription
source-service-namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
dest-endpoint-idstringyesExternal endpoint id

Must be a valid UUID.
typestringyesExternal endpoint type

Allowed values: prometheus, opensearch, rsyslog, datadog, elasticsearch.
Example
{
  "dest-endpoint-id": "string",
  "type": "prometheus"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for attach-dbaas-service-to-endpoint: golang | Python | Java

CLI: exo api attach-dbaas-service-to-endpoint

get-dbaas-service-type

Get a DBaaS service type

GET /dbaas-service-type/{service-type-name}

Get a DBaaS service type

Path parameters

NameInDescription
service-type-namepath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
available-versionsarray[string]DbaaS service available versions
default-versionstringDbaaS service default version
descriptionstringDbaaS service description
namestringDbaaS service name

Min length: 0. Max length: 64.
plansarray of DBaaS planDbaaS service plans
Example output
{
  "available-versions": [
    "string"
  ],
  "default-version": "string",
  "description": "string",
  "name": "string",
  "plans": [
    {
      "authorized": true,
      "backup-config": {
        "frequent-interval-minutes": 0,
        "frequent-oldest-age-minutes": 0,
        "infrequent-interval-minutes": 0,
        "infrequent-oldest-age-minutes": 0,
        "interval": 0,
        "max-count": 0,
        "recovery-mode": "string"
      },
      "disk-space": 0,
      "family": "string",
      "max-memory-percent": 0,
      "name": "string",
      "node-count": 0,
      "node-cpu-count": 0,
      "node-memory": 0,
      "zones": [
        "string"
      ]
    }
  ]
}

SDK reference for get-dbaas-service-type: golang | Python | Java

CLI: exo api get-dbaas-service-type

list-dbaas-service-types

DBaaS Service Types

GET /dbaas-service-type

List available service types for DBaaS

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
dbaas-service-typesarray of DBaaS service
Example output
{
  "dbaas-service-types": [
    {
      "available-versions": [
        "string"
      ],
      "default-version": "string",
      "description": "string",
      "name": "string",
      "plans": [
        {
          "authorized": true,
          "backup-config": {
            "frequent-interval-minutes": null,
            "frequent-oldest-age-minutes": null,
            "infrequent-interval-minutes": null,
            "infrequent-oldest-age-minutes": null,
            "interval": null,
            "max-count": null,
            "recovery-mode": null
          },
          "disk-space": 0,
          "family": "string",
          "max-memory-percent": 0,
          "name": "string",
          "node-count": 0,
          "node-cpu-count": 0,
          "node-memory": 0,
          "zones": [
            null
          ]
        }
      ]
    }
  ]
}

SDK reference for list-dbaas-service-types: golang | Python | Java

CLI: exo api list-dbaas-service-types

list-dbaas-services

List DBaaS services

GET /dbaas-service

List DBaaS services

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
dbaas-servicesarray of DBaaS Service Common
Example output
{
  "dbaas-services": [
    {
      "created-at": "2024-01-01T12:00:00Z",
      "disk-size": 0,
      "integrations": [
        {
          "description": "string",
          "dest": "string",
          "id": "string",
          "is-active": true,
          "is-enabled": true,
          "settings": {},
          "source": "string",
          "status": "string",
          "type": "string"
        }
      ],
      "name": "string",
      "node-count": 0,
      "node-cpu-count": 0,
      "node-memory": 0,
      "notifications": [
        {
          "level": "warning",
          "message": "string",
          "metadata": {},
          "type": "service_powered_off_removal"
        }
      ],
      "plan": "string",
      "state": "running",
      "termination-protection": true,
      "type": "string",
      "updated-at": "2024-01-01T12:00:00Z",
      "zone": "string"
    }
  ]
}

SDK reference for list-dbaas-services: golang | Python | Java

CLI: exo api list-dbaas-services

get-dbaas-settings-clickhouse

[BETA] Get DBaaS ClickHouse settings

GET /dbaas-settings-clickhouse

null

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
settingsSettings
Example output
{
  "settings": {
    "clickhouse": {
      "additionalProperties": true,
      "properties": {},
      "title": "string",
      "type": "string"
    }
  }
}

Settings

PropertyTypeRequiredDescription
clickhouseClickhousenoClickHouse configuration values

Clickhouse

ClickHouse configuration values

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

SDK reference for get-dbaas-settings-clickhouse: golang | Python | Java

CLI: exo api get-dbaas-settings-clickhouse

get-dbaas-task

Get a DBaaS task

GET /dbaas-task/{service}/{id}

Get a DBaaS task

Path parameters

NameInDescription
servicepathMin length: 0. Max length: 63.
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
create-timestringISO 8601 date-time.
idstringMust be a valid UUID.
resultstring
result-codesarray of Result Codes
successboolean
task-typestring
Example output
{
  "create-time": "2024-01-01T12:00:00Z",
  "id": "string",
  "result": "string",
  "result-codes": [
    {
      "code": "string",
      "dbname": "string"
    }
  ],
  "success": true,
  "task-type": "string"
}

SDK reference for get-dbaas-task: golang | Python | Java

CLI: exo api get-dbaas-task

create-dbaas-task-migration-check

POST /dbaas-task-migration-check/{service}

Create a DBaaS task to check migration

Path parameters

NameInDescription
servicepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
source-service-uristringyesService URI of the source MySQL or PostgreSQL database with admin credentials.

Min length: 1. Max length: 512.
ignore-dbsstringnoComma-separated list of databases, which should be ignored during migration (supported by MySQL only at the moment)

Min length: 1. Max length: 2048.
methodstringnoThe migration method to be used (currently supported only by MySQL service type)

Allowed values: dump, replication.
Example
{
  "ignore-dbs": "string",
  "method": "dump",
  "source-service-uri": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-task-migration-check: golang | Python | Java

CLI: exo api create-dbaas-task-migration-check

Last updated on